import { CurrentClientDevice } from '../../../utils/ClientChecker/types/currentClientDevice';
import { DisplayChecker } from '../../../utils/ClientChecker/services/DisplayChecker';
import { Checker } from '../../../utils/ClientChecker/types/checker';
export declare class DeviceChecker implements Checker {
    private _displayChecker;
    private _isMobile;
    private _current;
    private _iosVersion;
    private _highEntropyValues;
    constructor(displayChecker: DisplayChecker);
    get current(): CurrentClientDevice;
    get isIOS(): boolean;
    get isMac(): boolean;
    get isApple(): boolean;
    get isIphoneOrOldIpad(): boolean;
    get isAndroid(): boolean;
    get isMobile(): boolean;
    get iOSVersion(): number | undefined;
    detect(): void;
    private detectHighEntropyValues;
    private detectDevice;
    private detectIOSVersion;
}
